org.eclipse.emf.cdo.common.security

## Class CDOPermissionProvider.Constant

- java.lang.Object
- - org.eclipse.emf.cdo.common.security.CDOPermissionProvider.Constant

- All Implemented Interfaces:
    CDOPermissionProvider
  Enclosing interface:
    CDOPermissionProvider

      public static final class CDOPermissionProvider.Constant
      extends java.lang.Object
      implements CDOPermissionProvider

  Provides a constant protection level for all `revisions`.
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.common.security.CDOPermissionProvider

      `CDOPermissionProvider.Constant`

  - ### Field Summary

    - ### Fields inherited from interface org.eclipse.emf.cdo.common.security.CDOPermissionProvider

      `NONE, READ, WRITE`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CDOPermission` | `getPermission(CDORevision revision, CDOBranchPoint securityContext)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getPermission

          public CDOPermission getPermission(CDORevision revision,
                                             CDOBranchPoint securityContext)

      Specified by:
        `getPermission` in interface `CDOPermissionProvider`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html